## org.eclipse.uml2.uml.util
Class UMLUtil.Profile2EPackageConverter

    java.lang.Object
      org.eclipse.uml2.uml.util.UMLSwitch<java.lang.Object>
          org.eclipse.uml2.uml.util.UMLUtil.UML2EcoreConverter
              org.eclipse.uml2.uml.util.UMLUtil.Profile2EPackageConverter

All Implemented Interfaces:
  UML2Util.Converter

Enclosing class:
  UMLUtil

    public static class UMLUtil.Profile2EPackageConverter

extends UMLUtil.UML2EcoreConverter

A converter that converts UML profiles to representative Ecore packages.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.uml2.uml.util.UMLUtil.UML2EcoreConverter
`UMLUtil.UML2EcoreConverter.ETypeMatcher, UMLUtil.UML2EcoreConverter.NameMatcher, UMLUtil.UML2EcoreConverter.SignatureMatcher`

Field Summary

Fields inherited from class org.eclipse.uml2.uml.util.UMLUtil.UML2EcoreConverter

`ANNOTATION_DETAILS, COMMENT, context, DERIVED_FEATURE, diagnostics, DUPLICATE_FEATURE, DUPLICATE_FEATURE_INHERITANCE, DUPLICATE_OPERATION, DUPLICATE_OPERATION_INHERITANCE, ECORE_TAGGED_VALUE, elementToEModelElementMap, INVARIANT_CONSTRAINT, OPERATION_BODY, OPTION__ANNOTATION_DETAILS, OPTION__COMMENTS, OPTION__DERIVED_FEATURES, OPTION__DUPLICATE_FEATURE_INHERITANCE, OPTION__DUPLICATE_FEATURES, OPTION__DUPLICATE_OPERATION_INHERITANCE, OPTION__DUPLICATE_OPERATIONS, OPTION__ECORE_TAGGED_VALUES, OPTION__INVARIANT_CONSTRAINTS, OPTION__OPERATION_BODIES, OPTION__REDEFINING_OPERATIONS, OPTION__REDEFINING_PROPERTIES, OPTION__SUBSETTING_PROPERTIES, OPTION__SUPER_CLASS_ORDER, OPTION__UNION_PROPERTIES, options, packages, REDEFINING_OPERATION, REDEFINING_PROPERTY, SUBSETTING_PROPERTY, SUPER_CLASS_ORDER, UNION_PROPERTY`

Fields inherited from class org.eclipse.uml2.uml.util.UMLSwitch
`modelPackage`

Constructor Summary
`UMLUtil.Profile2EPackageConverter()`

Method Summary
`java.lang.Object` `casePackage(Package package_)` Returns the result of interpreting the object as an instance of 'Package'
`java.lang.Object` `caseProfile(Profile profile)` Returns the result of interpreting the object as an instance of 'Profile'
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject eObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected org.eclipse.emf.ecore.EClassifier` `getEType(Type type)`
`protected void` `processEcoreTaggedValues(org.eclipse.emf.ecore.EPackage ePackage, Element element, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
`protected void` `setName(org.eclipse.emf.ecore.ENamedElement eNamedElement, NamedElement namedElement)`

Methods inherited from class org.eclipse.uml2.uml.util.UMLUtil.UML2EcoreConverter

`caseClass, caseComment, caseConstraint, caseDataType, caseEModelElement, caseEnumeration, caseEnumerationLiteral, caseGeneralization, caseInterface, caseInterfaceRealization, caseMultiplicityElement, caseOperation, caseParameter, caseParameterableElement, casePrimitiveType, caseProperty, caseTemplateParameter, caseTemplateSignature, caseTypedElement, convert, defaultCase, ensureConformity, getAppliedEcoreStereotype, getEGenericType, getEType, getETypeParameter, isCompositeSubset, isEClass, isEGenericType, processAnnotationDetails, processComment, processDerivedFeatures, processDuplicateFeatureInheritance, processDuplicateFeatures, processDuplicateOperationInheritance, processDuplicateOperations, processEcoreTaggedValue, processEcoreTaggedValues, processEcoreTaggedValues, processEcoreTaggedValues, processEcoreTaggedValues, processEcoreTaggedValues, processEcoreTaggedValues, processEcoreTaggedValues, processEcoreTaggedValues, processEcoreTaggedValues, processInvariantConstraint, processOperationBodies, processOperationBody, processOptions, processRedefiningOperations, processRedefiningProperties, processSubsettingProperties, processSuperClassOrder, processUnionProperties, qualifyName, qualifyName, setName`

Methods inherited from class org.eclipse.uml2.uml.util.UMLSwitch

`caseAbstraction, caseAcceptCallAction, caseAcceptEventAction, caseAction, caseActionExecutionSpecification, caseActionInputPin, caseActivity, caseActivityEdge, caseActivityFinalNode, caseActivityGroup, caseActivityNode, caseActivityParameterNode, caseActivityPartition, caseActor, caseAddStructuralFeatureValueAction, caseAddVariableValueAction, caseAnyReceiveEvent, caseArtifact, caseAssociation, caseAssociationClass, caseBehavior, caseBehavioralFeature, caseBehavioredClassifier, caseBehaviorExecutionSpecification, caseBroadcastSignalAction, caseCallAction, caseCallBehaviorAction, caseCallEvent, caseCallOperationAction, caseCentralBufferNode, caseChangeEvent, caseClassifier, caseClassifierTemplateParameter, caseClause, caseClearAssociationAction, caseClearStructuralFeatureAction, caseClearVariableAction, caseCollaboration, caseCollaborationUse, caseCombinedFragment, caseCommunicationPath, caseComponent, caseComponentRealization, caseConditionalNode, caseConnectableElement, caseConnectableElementTemplateParameter, caseConnectionPointReference, caseConnector, caseConnectorEnd, caseConsiderIgnoreFragment, caseContinuation, caseControlFlow, caseControlNode, caseCreateLinkAction, caseCreateLinkObjectAction, caseCreateObjectAction, caseCreationEvent, caseDataStoreNode, caseDecisionNode, caseDependency, caseDeployedArtifact, caseDeployment, caseDeploymentSpecification, caseDeploymentTarget, caseDestroyLinkAction, caseDestroyObjectAction, caseDestructionEvent, caseDevice, caseDirectedRelationship, caseDuration, caseDurationConstraint, caseDurationInterval, caseDurationObservation, caseElement, caseElementImport, caseEncapsulatedClassifier, caseEvent, caseExceptionHandler, caseExecutableNode, caseExecutionEnvironment, caseExecutionEvent, caseExecutionOccurrenceSpecification, caseExecutionSpecification, caseExpansionNode, caseExpansionRegion, caseExpression, caseExtend, caseExtension, caseExtensionEnd, caseExtensionPoint, caseFeature, caseFinalNode, caseFinalState, caseFlowFinalNode, caseForkNode, caseFunctionBehavior, caseGate, caseGeneralizationSet, caseGeneralOrdering, caseImage, caseInclude, caseInformationFlow, caseInformationItem, caseInitialNode, caseInputPin, caseInstanceSpecification, caseInstanceValue, caseInteraction, caseInteractionConstraint, caseInteractionFragment, caseInteractionOperand, caseInteractionUse, caseInterruptibleActivityRegion, caseInterval, caseIntervalConstraint, caseInvocationAction, caseJoinNode, caseLifeline, caseLinkAction, caseLinkEndCreationData, caseLinkEndData, caseLinkEndDestructionData, caseLiteralBoolean, caseLiteralInteger, caseLiteralNull, caseLiteralSpecification, caseLiteralString, caseLiteralUnlimitedNatural, caseLoopNode, caseManifestation, caseMergeNode, caseMessage, caseMessageEnd, caseMessageEvent, caseMessageOccurrenceSpecification, caseModel, caseNamedElement, caseNamespace, caseNode, caseObjectFlow, caseObjectNode, caseObservation, caseOccurrenceSpecification, caseOpaqueAction, caseOpaqueBehavior, caseOpaqueExpression, caseOperationTemplateParameter, caseOutputPin, casePackageableElement, casePackageImport, casePackageMerge, caseParameterSet, casePartDecomposition, casePin, casePort, caseProfileApplication, caseProtocolConformance, caseProtocolStateMachine, caseProtocolTransition, casePseudostate, caseQualifierValue, caseRaiseExceptionAction, caseReadExtentAction, caseReadIsClassifiedObjectAction, caseReadLinkAction, caseReadLinkObjectEndAction, caseReadLinkObjectEndQualifierAction, caseReadSelfAction, caseReadStructuralFeatureAction, caseReadVariableAction, caseRealization, caseReceiveOperationEvent, caseReceiveSignalEvent, caseReception, caseReclassifyObjectAction, caseRedefinableElement, caseRedefinableTemplateSignature, caseReduceAction, caseRegion, caseRelationship, caseRemoveStructuralFeatureValueAction, caseRemoveVariableValueAction, caseReplyAction, caseSendObjectAction, caseSendOperationEvent, caseSendSignalAction, caseSendSignalEvent, caseSequenceNode, caseSignal, caseSignalEvent, caseSlot, caseStartClassifierBehaviorAction, caseState, caseStateInvariant, caseStateMachine, caseStereotype, caseStringExpression, caseStructuralFeature, caseStructuralFeatureAction, caseStructuredActivityNode, caseStructuredClassifier, caseSubstitution, caseTemplateableElement, caseTemplateBinding, caseTemplateParameterSubstitution, caseTestIdentityAction, caseTimeConstraint, caseTimeEvent, caseTimeExpression, caseTimeInterval, caseTimeObservation, caseTransition, caseTrigger, caseType, caseUnmarshallAction, caseUsage, caseUseCase, caseValuePin, caseValueSpecification, caseValueSpecificationAction, caseVariable, caseVariableAction, caseVertex, caseWriteLinkAction, caseWriteStructuralFeatureAction, caseWriteVariableAction, doSwitch, doSwitch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMLUtil.Profile2EPackageConverter

    public UMLUtil.Profile2EPackageConverter()

Method Detail

### casePackage

    public java.lang.Object casePackage(Package package_)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Package'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `casePackage` in class `UMLUtil.UML2EcoreConverter`
  Parameters:
    `package_` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Package'.
  See Also:
    `doSwitch(EObject)`

### caseProfile

    public java.lang.Object caseProfile(Profile profile)

  Description copied from class: `UMLSwitch`
  Returns the result of interpreting the object as an instance of 'Profile'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseProfile` in class `UMLSwitch<java.lang.Object>`
  Parameters:
    `profile` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Profile'.
  See Also:
    `doSwitch(EObject)`

### getEType

    protected org.eclipse.emf.ecore.EClassifier getEType(Type type)

  Overrides:
    `getEType` in class `UMLUtil.UML2EcoreConverter`

### processEcoreTaggedValues

    protected void processEcoreTaggedValues(org.eclipse.emf.ecore.EPackage ePackage,
                                            Element element,
                                            java.util.Map<java.lang.String,java.lang.String> options,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map<java.lang.Object,java.lang.Object> context)

  Overrides:
    `processEcoreTaggedValues` in class `UMLUtil.UML2EcoreConverter`

### setName

    protected void setName(org.eclipse.emf.ecore.ENamedElement eNamedElement,
                           NamedElement namedElement)

  Overrides:
    `setName` in class `UMLUtil.UML2EcoreConverter`

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject eObject)

  Description copied from class: `UMLSwitch`
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Overrides:
    `doSwitch` in class `UMLUtil.UML2EcoreConverter`
  Returns:
    the first non-null result returned by a `caseXXX` call.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.